Bug 468733 - modprobe hangs while loading lirc_pvr150
modprobe hangs while loading lirc_pvr150
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 14:19 EDT by Vincent Pomerol
Modified: 2008-11-26 08:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 16:49:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from 'strace -rf modprobe lirc_pvr150' (19.07 KB, text/plain)
2008-10-27 14:19 EDT, Vincent Pomerol
no flags Details

  None (edit)
Description Vincent Pomerol 2008-10-27 14:19:48 EDT
Created attachment 321638 [details]
output from 'strace -rf modprobe lirc_pvr150'

Description of problem:

When I try to load the lirc_pvr150 kernel module, modprobe hangs.  The machine appears to function normally, and lsmod reports that the lirc_pvr150 module (and its dependencies) are loaded.  However, the lirc device '/dev/lirc' is not created.  Neither the send nor receive functions of the ir device are working.  The modprobe process cannot be killed in any way, and it causes the shutdown process to hang.  A hard reset is necessary in order to reboot the machine.

Version-Release number of selected component (if applicable):

this bug has always existed on my fc9 install, but the last time I tested for it was with the following kernel version: 2.6.26.5-45.fc9.x86_64

How reproducible:

attempt to load lirc_pvr150 kernel module

Steps to Reproduce:
1. execute 'modprobe lirc_pvr150'
2.
3.
  
Actual results:

modprobe hangs, and cannot be killed
while rebooting the machine, the shutdown process hangs and one is forced to do a hard reset

Expected results:

modprobe should exit and a functioning lirc device '/dev/lirc' should appear

Additional info:

The following two lines appear in /var/log/messages when the modprobe command is executed:

lirc_dev: IR Remote Control driver registered, major 61 
lirc_pvr150: chip found with RX and TX

The attachment includes the output from strace.
Comment 1 Jarod Wilson 2008-10-29 12:05:15 EDT
Does a current rawhide kernel perform any better?
Comment 2 Vincent Pomerol 2008-10-29 15:34:03 EDT
(In reply to comment #1)
> Does a current rawhide kernel perform any better?

It there a way to test this on an fc9 machine?  For example, can one install kernel-2.6.27.4-58.fc10 on an fc9 machine, run the test and then uninstall it without worrying about breaking existing functionality?  The machine with the pvr-150 card performs many other tasks, and I am reluctant to subject it to potentially harmful experiments.

Have there been any recent modifications to the module in the development kernel (aside from the name change to lirc_zilog) that could remedy the observed behavior?  Has anyone had success with this module in fc9?  There are some reports of similar issues from buntu users, but I could not find any complaints about this module in fedora.
Comment 3 Chuck Ebbert 2008-10-31 12:54:21 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Does a current rawhide kernel perform any better?
> 
> It there a way to test this on an fc9 machine?

There is now:
http://koji.fedoraproject.org/koji/buildinfo?buildID=68158
Comment 4 Vincent Pomerol 2008-11-24 16:49:49 EST
The lirc_zilog (aka lirc_pvr150) module loads correctly in the with the latest kernel (2.6.27.5-41.fc9.x86_64).  Thank you.

Note You need to log in before you can comment on or make changes to this bug.